PrecisionModule
Keywords: uk.ac.ic.doc.automed.matching.modules.PrecisionModule,PrecisionModule class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching.modules
Class PrecisionModule

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.matching.modules.AbstractModule
            |
            +--uk.ac.ic.doc.automed.matching.modules.PrecisionModule

public class PrecisionModule
extends AbstractModule

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.matching.modules.AbstractModule
`bidirectionalDegrees`

Constructor Summary
`PrecisionModule(java.util.ArrayList elementsA, java.util.ArrayList elementsB)`

Method Summary
`static java.lang.Double` | `comparePrecision(SchemaElement from, SchemaElement to)`
`static java.lang.Double` | `compareRange(ComparableExact fromMax, ComparableExact toMax, ComparableExact fromMin, ComparableExact toMin)`

Methods inherited from class uk.ac.ic.doc.automed.matching.modules.AbstractModule
`getBidirectionalDegrees, getBidirectionalDegrees, getBidirectionalSimilarity, saveDegrees, setBidirectionalDegrees`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrecisionModule

    public PrecisionModule(java.util.ArrayList elementsA,
                           java.util.ArrayList elementsB)
                    throws UninstantiatedException

Method Detail

### comparePrecision

    public static java.lang.Double comparePrecision(SchemaElement from,
                                                    SchemaElement to)
                                             throws UninstantiatedElementException

    `UninstantiatedElementException`

### compareRange

    public static java.lang.Double compareRange(ComparableExact fromMax,
                                                ComparableExact toMax,
                                                ComparableExact fromMin,
                                                ComparableExact toMin)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD